START_PVMD(3PVM)

NAME
pvm_start_pvmd - Starts new PVM daemon.

SYNOPSIS
C	int info = pvm_start_pvmd( int argc, char **argv, int block )
Fortran	call pvmfstartpvmd( args, block, info )

PARAMETERS

argc
    Number of arguments in argv.

argv
    An array of arguments to the executable.

args
    A character string containing the arguments to the executable.

args
    A character string containing the arguments to the executable.

block
    Integer specifying whether to block until startup of all hosts complete or return immediately.

info
    Integer returning the error code.

DESCRIPTION
The routine pvm_start_pvmd starts up a pvmd3 process, the master of a new virtual machine. It returns as soon as the pvmd is started and ready for work. If the block parameter is nonzero and a hostfile is passed to the pvmd as a parameter, it returns when all hosts marked to start have been added. pvm_start_pvmd returns zero on success. If PVM is compiled to allow running more than one pvmd per host, a task calling pvm_start_pvmd before any other pvm functions will connect to the pvmd that it starts. pvm_start_pvmd sets environment variable PVMSOCK to the address printed by the pvmd as it starts up.

EXAMPLES
C:
	static char *argv[] = {
	    "-d41",
	    "/u/jones/pvmd_hosts",
	};
	argc = 2
	info = pvm_start_pvmd( argc, argv, block );

Fortran:
	CALL PVMFSTART_PVMD( '-d41 /u/jones/pvmd_hosts', BLOCK, INFO )

EXAMPLES
C:
	static char *argv[] = {
	    "-d41",
	    "/u/jones/pvmd_hosts",
	};
	argc = 2
	info = pvm_start_pvmd( argc, argv, block );

Fortran:
	CALL PVMFSTART_PVMD( '-d41 /u/jones/pvmd_hosts', BLOCK, INFO )

ERRORS
The following error conditions can be returned

PvmDupHost
    A pvmd is already running.

PvmSysErr
    The local pvmd is not responding.

SEE ALSO
pvm_addhosts(3PVM), pvmd3(1PVM) pvmd3(1PVM)